function out = DrawBoxDetections(DL,radii,imagesize,infostr,strthresh);
%function out = DrawBoxDetections(DL,radii,imagesize);
%
if(nargin < 4)
  infostr = [];
end
if(nargin < 5)
  strthresh = 0;
end
hold on;
for i = 1:length(DL)
   if(DL(i).str < strthresh)
      continue;
   end
   s = radii(DL(i).scale);
   c_xy = CoordRelative2Real(DL(i).rel_loc_xy,imagesize);
   bbox = [c_xy(1) - 2*s,c_xy(2) - 2*s, 4*s,4*s];
   bbox = round(bbox);
   mystr = sprintf('%2.1f',DL(i).str / 100);
   if(not(isempty(infostr)))
     mystr = [infostr,' ',mystr];
   end
   g = text(c_xy(1)-2*s,c_xy(2)+2*s + 25,mystr);
   set(g,'Color',[.25 .125 0]);
   set(g,'FontSize',20);
   g = OrangeBox(bbox);
   set(g,'LineWidth',2);
   %set(g,'EdgeColor',GetColorFromStrength(DL(i).str/100));
end

function C = GetColorFromStrength(s)
s = min(s,2);
s = max(s,0);
s = s/2;
C = s * [1 .5 0] + (1-s) * [0 0 0];
